mobimeta(1)

NAME
mobimeta - Utility for modifying metadata of MOBI format ebook files.

SYNOPSIS
mobimeta [-a meta=value[,meta=value,...]] [-d meta[,meta,...]] [-s meta=value[,meta=value,...]] [-hv] filein [fileout]

DESCRIPTION
The program handles .prc, .mobi, .azw, .azw3, .azw4, some .pdb documents. It is powered by libmobi library.

Invoked without arguments prints document metadata and exits. If fileout is specified, modified document will be saved with this name, otherwise original input filein will be modified.

A list of flags and their descriptions:

-a meta=value[,meta=value,...]
    add (append) metadata

-d meta[,meta,...]
    delete metadata

-s meta=value[,meta=value,...]
    set (replace) metadata

meta
    for a list of valid named meta keys try mobimeta {-a | -d | -s} file ...?. If meta is an integer it will be treated as a numeric EXTH record key (expert usage).

value
    new value that will be set for a given meta key

-h  show usage summary and exit

-v  show version and exit

EXAMPLES
The following command will set new title, new author and will delete all publisher metadata (if any).

    % mobimeta -s title="My title",author="My name" -d publisher example.mobi

The following command appends EXTH record identified by its numeric key 204 with numeric value 201.

    % mobimeta -a 204=201 example.mobi

The following command will list valid meta named keys.

    % mobimeta -a?

Or in case your shell expands quotation mark:

    % mobimeta -a "?"

RETURN VALUES
The mobimeta utility returns 0 on success, 1 on error.

COPYRIGHT
Copyright (C) 2014-2022 Bartek Fabiszewski.

Released under LGPL version 3 or any later (same as libmobi ).

WEB SITE
Visit http://www.fabiszewski.net for details.

DIAGNOSTICS
For diagnostics libmobi must be configured with - -enable-debug option.

SEE ALSO
mobitool(1) mobidrm(1)